Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:        Tool to update x86/x86-64 CPU microcode.
Name:           microcode_ctl
Version:        1.17
Release:        1
Group:          System/Base
License:        GPLv2+
URL:            http://www.urbanmyth.org/microcode/
Source0:        http://www.urbanmyth.org/microcode/microcode_ctl-%{version}.tar.gz
Source1:        microcode_ctl.init
# Microcode distributed directly by Intel, at
# http://downloadcenter.intel.com (just search for microcode)
Source2:        microcode-20080910.dat
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Requires(pre):  /sbin/chkconfig /sbin/service
Requires(pre):  grep gawk coreutils
Obsoletes:      kernel-utils
Patch1: 	microcode_ctl.patch

%description
microcode_ctl - updates the microcode on Intel x86/x86-64 CPU's

%prep
%setup -q
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/share/man/man{1,8}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

make DESTDIR=%{buildroot} PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=%{_sysconfdir} install clean

install %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/microcode_ctl
install -m 644 %{SOURCE2} %{buildroot}/lib/firmware/microcode.dat

chmod -R a-s %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/microcode_ctl
/lib/firmware/*
/sbin/microcode_ctl
%attr(0644,root,root) %{_mandir}/*/*



%preun
if [ "$1" = "0" ] ; then
    /sbin/chkconfig --del microcode_ctl
fi

%post
# Only enable on Intel 686's and above.
vendor=`cat /proc/cpuinfo | grep "^vendor_id" | sort -u | awk -F ": " '{ print $2 }'`
[ "$vendor" != "GenuineIntel" ] && exit 0
family=`cat /proc/cpuinfo | grep "^cpu family" | sort -u | awk -F ": " '{ print $2 }'`
[ $family -lt 6 ] && exit 0
/sbin/chkconfig --add microcode_ctl

%triggerpostun -- kernel-utils
# Only enable on Intel 686's and above.
vendor=`cat /proc/cpuinfo | grep "^vendor_id" | sort -u | awk -F ": " '{ print $2 }'`
[ "$vendor" != "GenuineIntel" ] && exit 0
family=`cat /proc/cpuinfo | grep "^cpu family" | sort -u | awk -F ": " '{ print $2 }'`
[ $family -lt 6 ] && exit 0
/sbin/chkconfig --add microcode_ctl
exit 0

%changelog
* Sat Sep 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.17-1
- microcode 20080910
- Initial release
